import request from '@/utils/request'

// 查询蒸汽实时数据列表
export function listRecordSteamInstant(query) {
  return request({
    url: '/ems/record/recordSteamInstant/list',
    method: 'get',
    params: query
  })
}

// 查询蒸汽实时数据详细
export function getRecordSteamInstant(objId) {
  return request({
    url: '/ems/record/recordSteamInstant/' + objId,
    method: 'get'
  })
}

// 新增蒸汽实时数据
export function addRecordSteamInstant(data) {
  return request({
    url: '/ems/record/recordSteamInstant',
    method: 'post',
    data: data
  })
}

// 修改蒸汽实时数据
export function updateRecordSteamInstant(data) {
  return request({
    url: '/ems/record/recordSteamInstant',
    method: 'put',
    data: data
  })
}

// 删除蒸汽实时数据
export function delRecordSteamInstant(objId) {
  return request({
    url: '/ems/record/recordSteamInstant/' + objId,
    method: 'delete'
  })
}
